Module
Contents
Index 🔎︎

# Logical Functions

This category contains the Logical functions.

### Handling non-logical arguments in logical functions

- Zero (0) is equivalent to FALSE and all other numbers are equivalent to TRUE.

- Empty cells and text in cells are ignored.

- A #VALUE error is raised if all arguments are ignored.

- A #VALUE error is raised if one argument is direct text (not text in a cell).

- Errors as argument lead to an error.

To access this command...

Insert - Function - Category Logical

## AND

Returns TRUE if all arguments are TRUE. If one of the elements is FALSE, this function returns the FALSE value.

The arguments are either logical expressions themselves (TRUE, 1<5, 2+3=7, B8<10) that return logical values, or arrays (A1:C3) containing logical values.

### Syntax

AND(LogicalValue1; LogicalValue2 ...LogicalValue30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range. The result is TRUE if the logical value in all cells within the cell range is TRUE.

### Example

प्रविष्टियाँ 12<13; 14>12, तथा 7<6 के लॉजिकल मूल्यों की जाँच की जानी है:

=AND(12<13;14>12;7<6) returns FALSE.

=AND (FALSE;TRUE) returns FALSE.

## FALSE

Returns the logical value FALSE. The FALSE() function does not require any arguments, and always returns the logical value FALSE.

### Syntax

FALSE()

### Example

=FALSE() returns FALSE

=NOT(FALSE()) returns TRUE

## IF

Specifies a logical test to be performed.

### Syntax

IF(Test; ThenValue; OtherwiseValue)

Test is any value or expression that can be TRUE or FALSE.

ThenValue (optional) is the value that is returned if the logical test is TRUE.

OtherwiseValue (optional) is the value that is returned if the logical test is FALSE.

In the LibreOffice Calc functions, parameters marked as "optional" can be left out only when no parameter follows. For example, in a function with four parameters, where the last two parameters are marked as "optional", you can leave out parameter 4 or parameters 3 and 4, but you cannot leave out parameter 3 alone.

### Example

=IF(A1>5;100;"too small") If the value in A1 is higher than 5, the value 100 is entered in the current cell; otherwise, the text “too small” (without quotes) is entered.

## NOT

Complements (inverts) a logical value.

### Syntax

NOT(LogicalValue)

LogicalValue is any value to be complemented.

### Example

=NOT(A). If A=TRUE then NOT(A) will evaluate FALSE.

## OR

Returns TRUE if at least one argument is TRUE. This function returns the value FALSE, if all the arguments have the logical value FALSE.

The arguments are either logical expressions themselves (TRUE, 1<5, 2+3=7, B8<10) that return logical values, or arrays (A1:C3) containing logical values.

### Syntax

OR(LogicalValue1; LogicalValue2 ...LogicalValue30)

LogicalValue1; LogicalValue2 ...LogicalValue30 are conditions to be checked. All conditions can be either TRUE or FALSE. If a range is entered as a parameter, the function uses all values of the range.

### Example

प्रविष्टियाँ 12<11; 13>22, तथा 45=45 के लॉजिकल मूल्य जाँचे जाने हैं.

=OR(12<11;13>22;45=45) returns TRUE.

=OR(FALSE;TRUE) returns TRUE.

## TRUE

The logical value is set to TRUE. The TRUE() function does not require any arguments, and always returns the logical value TRUE.

### Syntax

TRUE()

### Example

यदि A=TRUE तथा B=FALSE निम्न उदाहरण प्रकट होंगे:

=AND(A;B) returns FALSE

=OR(A;B) returns TRUE

=NOT(AND(A;B)) returns TRUE

## XOR

Returns true if an odd number of arguments evaluates to TRUE.

The arguments are either logical expressions themselves (TRUE, 1<5, 2+3=7, B8<10) that return logical values, or arrays (A1:C3) containing logical values.

### Syntax

XOR(LogicalValue1; LogicalValue2 ...LogicalValue30)

### Example

=XOR(TRUE;TRUE) returns FALSE

=XOR(TRUE;TRUE;TRUE) returns TRUE

=XOR(FALSE;TRUE) returns TRUE

Related Topics

Functions by Category